package com.th.demo.model.develop;

import java.util.Date;

public class DevTableProperty {
    private String id;

    private String tableName;

    private String tableField;

    private String tableType;

    private String tableIndex;

    private String tableColumnKey;

    private String tableLabel;

    private String tableProp;

    private String tableWidth;

    private String tableMinWidth;

    private String tableFixed;

    private String tableRenderHeader;

    private String tableSortable;

    private String tableSortMethod;

    private String tableSortBy;

    private String tableSortOrders;

    private String tableResizable;

    private String tableFormatter;

    private String tableShowOverflowTooltip;

    private String tableAlign;

    private String tableHeaderAlign;

    private String tableClassName;

    private String tableLabelClassName;

    private String tableSelectable;

    private String tableReserveSelection;

    private String tableFilters;

    private String tableFilterPlacement;

    private String tableFilterMultiple;

    private String tableFilterMethod;

    private String tableFilteredValue;

    private String addId;

    private Date addTime;

    private String modifyId;

    private Date modifyTime;

    private String cancelId;

    private Date cancelTime;

    private String cancelFlag;

    private String attr1;

    private String attr2;

    private String attr3;

    private Integer attr4;

    private Integer attr5;

    private Integer attr6;

    private Integer sort;

    private String isForm;

    private String formType;

    private String formSort;

    private String isQuery;

    private String queryType;

    private String querySort;

    public String getIsForm() {
        return isForm;
    }

    public void setIsForm(String isForm) {
        this.isForm = isForm;
    }

    public String getFormType() {
        return formType;
    }

    public void setFormType(String formType) {
        this.formType = formType;
    }

    public String getFormSort() {
        return formSort;
    }

    public void setFormSort(String formSort) {
        this.formSort = formSort;
    }

    public String getIsQuery() {
        return isQuery;
    }

    public void setIsQuery(String isQuery) {
        this.isQuery = isQuery;
    }

    public String getQueryType() {
        return queryType;
    }

    public void setQueryType(String queryType) {
        this.queryType = queryType;
    }

    public String getQuerySort() {
        return querySort;
    }

    public void setQuerySort(String querySort) {
        this.querySort = querySort;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName == null ? null : tableName.trim();
    }

    public String getTableField() {
        return tableField;
    }

    public void setTableField(String tableField) {
        this.tableField = tableField == null ? null : tableField.trim();
    }

    public String getTableType() {
        return tableType;
    }

    public void setTableType(String tableType) {
        this.tableType = tableType == null ? null : tableType.trim();
    }

    public String getTableIndex() {
        return tableIndex;
    }

    public void setTableIndex(String tableIndex) {
        this.tableIndex = tableIndex == null ? null : tableIndex.trim();
    }

    public String getTableColumnKey() {
        return tableColumnKey;
    }

    public void setTableColumnKey(String tableColumnKey) {
        this.tableColumnKey = tableColumnKey == null ? null : tableColumnKey.trim();
    }

    public String getTableLabel() {
        return tableLabel;
    }

    public void setTableLabel(String tableLabel) {
        this.tableLabel = tableLabel == null ? null : tableLabel.trim();
    }

    public String getTableProp() {
        return tableProp;
    }

    public void setTableProp(String tableProp) {
        this.tableProp = tableProp == null ? null : tableProp.trim();
    }

    public String getTableWidth() {
        return tableWidth;
    }

    public void setTableWidth(String tableWidth) {
        this.tableWidth = tableWidth == null ? null : tableWidth.trim();
    }

    public String getTableMinWidth() {
        return tableMinWidth;
    }

    public void setTableMinWidth(String tableMinWidth) {
        this.tableMinWidth = tableMinWidth == null ? null : tableMinWidth.trim();
    }

    public String getTableFixed() {
        return tableFixed;
    }

    public void setTableFixed(String tableFixed) {
        this.tableFixed = tableFixed == null ? null : tableFixed.trim();
    }

    public String getTableRenderHeader() {
        return tableRenderHeader;
    }

    public void setTableRenderHeader(String tableRenderHeader) {
        this.tableRenderHeader = tableRenderHeader == null ? null : tableRenderHeader.trim();
    }

    public String getTableSortable() {
        return tableSortable;
    }

    public void setTableSortable(String tableSortable) {
        this.tableSortable = tableSortable == null ? null : tableSortable.trim();
    }

    public String getTableSortMethod() {
        return tableSortMethod;
    }

    public void setTableSortMethod(String tableSortMethod) {
        this.tableSortMethod = tableSortMethod == null ? null : tableSortMethod.trim();
    }

    public String getTableSortBy() {
        return tableSortBy;
    }

    public void setTableSortBy(String tableSortBy) {
        this.tableSortBy = tableSortBy == null ? null : tableSortBy.trim();
    }

    public String getTableSortOrders() {
        return tableSortOrders;
    }

    public void setTableSortOrders(String tableSortOrders) {
        this.tableSortOrders = tableSortOrders == null ? null : tableSortOrders.trim();
    }

    public String getTableResizable() {
        return tableResizable;
    }

    public void setTableResizable(String tableResizable) {
        this.tableResizable = tableResizable == null ? null : tableResizable.trim();
    }

    public String getTableFormatter() {
        return tableFormatter;
    }

    public void setTableFormatter(String tableFormatter) {
        this.tableFormatter = tableFormatter == null ? null : tableFormatter.trim();
    }

    public String getTableShowOverflowTooltip() {
        return tableShowOverflowTooltip;
    }

    public void setTableShowOverflowTooltip(String tableShowOverflowTooltip) {
        this.tableShowOverflowTooltip = tableShowOverflowTooltip == null ? null : tableShowOverflowTooltip.trim();
    }

    public String getTableAlign() {
        return tableAlign;
    }

    public void setTableAlign(String tableAlign) {
        this.tableAlign = tableAlign == null ? null : tableAlign.trim();
    }

    public String getTableHeaderAlign() {
        return tableHeaderAlign;
    }

    public void setTableHeaderAlign(String tableHeaderAlign) {
        this.tableHeaderAlign = tableHeaderAlign == null ? null : tableHeaderAlign.trim();
    }

    public String getTableClassName() {
        return tableClassName;
    }

    public void setTableClassName(String tableClassName) {
        this.tableClassName = tableClassName == null ? null : tableClassName.trim();
    }

    public String getTableLabelClassName() {
        return tableLabelClassName;
    }

    public void setTableLabelClassName(String tableLabelClassName) {
        this.tableLabelClassName = tableLabelClassName == null ? null : tableLabelClassName.trim();
    }

    public String getTableSelectable() {
        return tableSelectable;
    }

    public void setTableSelectable(String tableSelectable) {
        this.tableSelectable = tableSelectable == null ? null : tableSelectable.trim();
    }

    public String getTableReserveSelection() {
        return tableReserveSelection;
    }

    public void setTableReserveSelection(String tableReserveSelection) {
        this.tableReserveSelection = tableReserveSelection == null ? null : tableReserveSelection.trim();
    }

    public String getTableFilters() {
        return tableFilters;
    }

    public void setTableFilters(String tableFilters) {
        this.tableFilters = tableFilters == null ? null : tableFilters.trim();
    }

    public String getTableFilterPlacement() {
        return tableFilterPlacement;
    }

    public void setTableFilterPlacement(String tableFilterPlacement) {
        this.tableFilterPlacement = tableFilterPlacement == null ? null : tableFilterPlacement.trim();
    }

    public String getTableFilterMultiple() {
        return tableFilterMultiple;
    }

    public void setTableFilterMultiple(String tableFilterMultiple) {
        this.tableFilterMultiple = tableFilterMultiple == null ? null : tableFilterMultiple.trim();
    }

    public String getTableFilterMethod() {
        return tableFilterMethod;
    }

    public void setTableFilterMethod(String tableFilterMethod) {
        this.tableFilterMethod = tableFilterMethod == null ? null : tableFilterMethod.trim();
    }

    public String getTableFilteredValue() {
        return tableFilteredValue;
    }

    public void setTableFilteredValue(String tableFilteredValue) {
        this.tableFilteredValue = tableFilteredValue == null ? null : tableFilteredValue.trim();
    }

    public String getAddId() {
        return addId;
    }

    public void setAddId(String addId) {
        this.addId = addId == null ? null : addId.trim();
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getModifyId() {
        return modifyId;
    }

    public void setModifyId(String modifyId) {
        this.modifyId = modifyId == null ? null : modifyId.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCancelId() {
        return cancelId;
    }

    public void setCancelId(String cancelId) {
        this.cancelId = cancelId == null ? null : cancelId.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag == null ? null : cancelFlag.trim();
    }

    public String getAttr1() {
        return attr1;
    }

    public void setAttr1(String attr1) {
        this.attr1 = attr1 == null ? null : attr1.trim();
    }

    public String getAttr2() {
        return attr2;
    }

    public void setAttr2(String attr2) {
        this.attr2 = attr2 == null ? null : attr2.trim();
    }

    public String getAttr3() {
        return attr3;
    }

    public void setAttr3(String attr3) {
        this.attr3 = attr3 == null ? null : attr3.trim();
    }

    public Integer getAttr4() {
        return attr4;
    }

    public void setAttr4(Integer attr4) {
        this.attr4 = attr4;
    }

    public Integer getAttr5() {
        return attr5;
    }

    public void setAttr5(Integer attr5) {
        this.attr5 = attr5;
    }

    public Integer getAttr6() {
        return attr6;
    }

    public void setAttr6(Integer attr6) {
        this.attr6 = attr6;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}